Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezpsessionhandler.php
Go to the documentation of this file.
1 <?php
25 abstract class ezpSessionHandler
26 {
32 public function __construct( $userHasCookie = false )
33 {
34 $this->userHasCookie = $userHasCookie;
35 }
36
42 public function isConnected()
43 {
44 return true;
45 }
46
52 public function setSaveHandler()
53 {
54 session_module_name( 'user' );
55 session_set_save_handler(
56 array( $this, 'open' ),
57 array( $this, 'close' ),
58 array( $this, 'read' ),
59 array( $this, 'write' ),
60 array( $this, 'destroy' ),
61 array( $this, 'gc' )
62 );
63 return true;
64 }
65
73 public function open( $savePath, $sessionName )
74 {
75 return true;
76 }
77
83 public function close()
84 {
85 return true;
86 }
87
94 abstract public function read( $sessionId );
95
103 abstract public function write( $sessionId, $sessionData );
104
115 abstract public function destroy( $sessionId );
116
128 abstract public function regenerate( $updateBackendData = true );
129
139 abstract public function gc( $maxLifeTime );
140
148 abstract public function cleanup();
149
155 abstract public function deleteByUserIDs( array $userIDArray );
156
162 static public function count()
163 {
164 return -1;
165 }
166
173 static public function hasBackendAccess()
174 {
175 return true;
176 }
177
183 static public function dbRequired()
184 {
185 return true;
186 }
187
195 public function sessionStart()
196 {
197 return session_start();
198 }
199
200 public $userHasCookie;
201 }
202 ?>
ezpSessionHandler
Definition: ezpsessionhandler.php:26
ezpSessionHandler\deleteByUserIDs
deleteByUserIDs(array $userIDArray)
ezpSessionHandler\write
write( $sessionId, $sessionData)
ezpSessionHandler\hasBackendAccess
static hasBackendAccess()
Definition: ezpsessionhandler.php:173
ezpSessionHandler\__construct
__construct( $userHasCookie=false)
Definition: ezpsessionhandler.php:32
ezpSessionHandler\$userHasCookie
$userHasCookie
Definition: ezpsessionhandler.php:200
ezpSessionHandler\count
static count()
Definition: ezpsessionhandler.php:162
ezpSessionHandler\sessionStart
sessionStart()
Definition: ezpsessionhandler.php:195
ezpSessionHandler\setSaveHandler
setSaveHandler()
Definition: ezpsessionhandler.php:52
ezpSessionHandler\regenerate
regenerate( $updateBackendData=true)
ezpSessionHandler\isConnected
isConnected()
Definition: ezpsessionhandler.php:42
ezpSessionHandler\close
close()
Definition: ezpsessionhandler.php:83
ezpSessionHandler\destroy
destroy( $sessionId)
ezpSessionHandler\dbRequired
static dbRequired()
Definition: ezpsessionhandler.php:183
ezpSessionHandler\open
open( $savePath, $sessionName)
Definition: ezpsessionhandler.php:73
ezpSessionHandler\read
read( $sessionId)
ezpSessionHandler\cleanup
cleanup()
ezpSessionHandler\gc
gc( $maxLifeTime)
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.